Skip to main content
`Ctrl`+`K`

# numpy.polynomial.chebyshev.Chebyshev.interpolate

method

classmethod polynomial.chebyshev.Chebyshev.interpolate(func, deg, domain=None, args=())

  Interpolate a function at the Chebyshev points of the first kind.

  Returns the series that interpolates func at the Chebyshev points of the first kind scaled and shifted to the `domain`. The resulting series tends to a minmax approximation of func when the function is continuous in the domain.

  Parameters:
    func function

      The function to be interpolated. It must be a function of a single variable of the form `f(x, a, b, c...)`, where `a, b, c...` are extra arguments passed in the args parameter.

    deg int

      Degree of the interpolating polynomial.

    domain{None, [beg, end]}, optional

      Domain over which func is interpolated. The default is None, in which case the domain is [-1, 1].

    args tuple, optional

      Extra arguments to be used in the function call. Default is no extra arguments.

  Returns:
    polynomial Chebyshev instance

      Interpolating Chebyshev instance.

  Notes

  See numpy.polynomial.chebinterpolate for more details.